# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Instance Class Reference
Inheritance diagram for Instance:

## Public Member Functions
void | connect (const std::string &connectorName, const std::string &netName)
| connects a net to one of the instance's connectors. More...
const std::map< std::string, Net * > & | getConnectors ()
| returns the map of instance's connectors.
Netlist * | getNetlist ()
| returns the netlist to which the instance belongs.
Parameters | getParameters ()
| returns the parameters of the instance.
bool | hasNoConnectors ()
| returns true if the instance has no connectors.

## Detailed Description

This class describes an instance.

Basicaly an instance is a subcircuit of the current (top) circuit.

## Member Function Documentation

## ◆ connect()

void connect | ( | const std::string & | connectorName,
|  | const std::string & | netName
| ) |  |

connects a net to one of the instance's connectors.

Parameters

  connectorName | the name of the connector.
  netName | the name of the net.

Generated by doxygen 1.8.14 on Thu Oct 18 2018 | Return to top of page

VLSI SAPD Documentation | Copyright © 2010 - 2011 UPMC All rights reserved